Múltiples Vulnerabilidades Graves En VMware

VMware ha lanzado actualizaciones de seguridad para corregir vulnerabilidades críticas y de alta gravedad en VMware ESXi, Workstation, Fusion y Cloud Foundation, lo que permite la ejecución de código y el escalamiento de privilegios.

Las dos vulnerabilidades fueron explotadas con éxito por Xiao Wei y Tianwen Tang del Qihoo 360 Vulcan Team durante el primer día del Concurso de Pwn de la Copa Tianfu 2020. Uno de los errores de seguridad, con una clasificación de gravedad crítica y registrado como CVE-2020-4004, permite a los atacantes con privilegios administrativos locales en una máquina virtual abusar de una vulnerabilidad de uso después de la liberación en el controlador USB XHCI de VMware ESXi, Workstation, y Fusion.

La explotación exitosa permite la ejecución de código como el proceso VMX de la máquina virtual que se ejecuta en el host, un proceso que se utiliza para configurar y alojar instancias de VM.

Una segunda vulnerabilidad, rastreada como CVE-2020-4005 y clasificada como de alta gravedad, permite a los atacantes abusar de un error de escalamiento de privilegios de VMware ESXi de alta gravedad en la forma en que se administran las llamadas al sistema para escalar los privilegios.

"Un actor malintencionado con privilegios dentro del proceso VMX únicamente, puede escalar sus privilegios en el sistema afectado", dice VMware. Sin embargo, explotar CVE-2020-4005 con éxito requiere cambiar con el error de uso después de la liberación del controlador USB XHCI. 

VMware lanzó actualizaciones de seguridad para abordar CVE-2020-4004, pero también proporciona una solución alternativa que implica eliminar el controlador XHCI (USB 3.x) de las máquinas virtuales potencialmente objetivo si no está en uso.

VMware también ha publicado actualizaciones de seguridad para abordar CVE-2020-4005 en todas las versiones vulnerables de VMware ESXi. La compañía todavía está trabajando en el lanzamiento de versiones fijas para VMware Cloud Foundation de ESXi durante los próximos días.

Hace dos días, VMware también parcheó varias vulnerabilidades de gravedad media y alta en el servicio de administración de SD-WAN Orchestrator alojado en la nube y de múltiples inquilinos que podrían conducir a la ejecución de código, acceso no autorizado a datos, ataques Pass-the-Hash y escalamiento de privilegios.

Fuente: BC


Via: feedproxy.google.com
Múltiples Vulnerabilidades Graves En VMware Múltiples Vulnerabilidades Graves En VMware Reviewed by Unknown on 15:03 Rating: 5